Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615189 - serial: windows xp guest restart automatically after port hot-plug and hot-unplug
serial: windows xp guest restart automatically after port hot-plug and hot-un...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks: 580953
  Show dependency treegraph
 
Reported: 2010-07-16 01:57 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
6 users (show)

See Also:
Fixed In Version: virtio-win-1.1.10-0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:01:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2010-07-16 01:57:10 EDT
Description of problem:
windows xp guest restart automatically after port hot-plug and hot-unplug 

Version-Release number of selected component (if applicable):
virtio-win-1.1.8.0
qemu-kvm-0.12.1.2-2.96.el6.x86_64
kernel-2.6.32-44.1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.run windows xp guest with virtio serial
/usr/libexec/qemu-kvm  -m 2G -smp 2 -cpu qemu64,+x2apic  -usbdevice tablet -drive file=/home/winxp.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0  -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=02:02:16:3F:20:1f,bus=pci.0 -uuid a4f4127c-1233-4e67-95da-8dd0a8891cc4  -name winxp  -qmp tcp:0:4444,server,nowait  -boot c -monitor stdio -spice port=5930,disable-ticketing -vga qxl -cdrom /root/RHEV-toolsSetup_2.2_46140.iso -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0 -chardev pty,id=channel0 -device virtserialport,bus=virtio-serial0.0,nr=0,id=serialport.1,chardev=channel0,name=org.linux-kvm.port.0 -fda /mnt/virtio-win-1.1.8-0.vfd
2.Install virtio serial driver 
3.reboot guest
4.checking serial info from monitor
(qemu) info qtree 
bus: main-system-bus
  type System
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: virtio-serial-pci, id "virtio-serial0"
        dev-prop: vectors = 17
        dev-prop: class = 0x780
        dev-prop: indirect_desc = off
        dev-prop: publish_used = off
        dev-prop: max_ports = 16
        bus-prop: addr = 04.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        class Class 0780, addr 00:04.0, pci id 1af4:1003 (sub 1af4:0003)
        bar 0: i/o at 0xc080 [0xc09f]
        bar 1: mem at 0xf4040000 [0xf4040fff]
        bus: virtio-serial0.0
          type virtio-serial-bus
          dev: virtserialport, id "serialport.1"
            dev-prop: nr = 0
            dev-prop: chardev = channel0
            dev-prop: name = "org.linux-kvm.port.0"
             dev-prop-int: id: 0
             dev-prop-int: guest_connected: 1
             dev-prop-int: host_connected: 1
             dev-prop-int: throttled: 0
5.Do hot-unplug for virtio serial port
{"execute":"device_del","arguments":{"id":"serialport.1"}}
{"return": {}}
6.this winxp guest will restart automatically
7.checking serial info again from monitor
(qemu) info qtree 
bus: main-system-bus
  type System
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: virtio-serial-pci, id "virtio-serial0"
        dev-prop: vectors = 17
        dev-prop: class = 0x780
        dev-prop: indirect_desc = off
        dev-prop: publish_used = off
        dev-prop: max_ports = 16
        bus-prop: addr = 04.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        class Class 0780, addr 00:04.0, pci id 1af4:1003 (sub 1af4:0003)
        bar 0: i/o at 0xc080 [0xc09f]
        bar 1: mem at 0xf4040000 [0xf4040fff]
        bus: virtio-serial0.0
          type virtio-serial-bus
8.do hot-plug for spicevmc
{"execute":"device_add","arguments":{"driver":"spicevmc","id":"vmc-1"}}
9.this guest restart automatically
10.checking serial info again from monitor
info qtree 
bus: main-system-bus
  type System
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: virtio-serial-pci, id "virtio-serial0"
        dev-prop: vectors = 17
        dev-prop: class = 0x780
        dev-prop: indirect_desc = off
        dev-prop: publish_used = off
        dev-prop: max_ports = 16
        bus-prop: addr = 04.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        class Class 0780, addr 00:04.0, pci id 1af4:1003 (sub 1af4:0003)
        bar 0: i/o at 0xc080 [0xc09f]
        bar 1: mem at 0xf4040000 [0xf4040fff]
        bus: virtio-serial0.0
          type virtio-serial-bus
          dev: spicevmc, id "vmc-1"
            dev-prop: nr = 0
            dev-prop: debug = 0
             dev-prop-int: id: 0
             dev-prop-int: guest_connected: 0
             dev-prop-int: host_connected: 1
             dev-prop-int: throttled: 0
Actual results:
after port hot-plug and hot-unplug, winxp guest restart automatically  

Expected results:
there should be a prompt window to ask for restart, or the guest should not restart. 

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-16 02:17:31 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Vadim Rozenfeld 2010-07-23 14:53:23 EDT
(In reply to comment #0)
> Actual results:
> after port hot-plug and hot-unplug, winxp guest restart automatically  

Was it a BSOD or VM crash?
Comment 5 Shirley Zhou 2010-07-25 21:51:58 EDT
(In reply to comment #4)
> (In reply to comment #0)
> > Actual results:
> > after port hot-plug and hot-unplug, winxp guest restart automatically  
> 
> Was it a BSOD or VM crash?    

Hi, Vadim

No bsod , no vm crash, this guest restart automatically after hot-plug and hot-unplug.
Comment 6 Vadim Rozenfeld 2010-08-03 03:38:09 EDT
Hi, Shirley.

Can you please re-check this issue with the latest driver?

Thanks,
Vadim.
Comment 7 Shirley Zhou 2010-08-03 23:16:15 EDT
Verify this bug on winxp guest with virtio-win-1.1.10-0, this bug does not reproduce after port hot-plug and hot-unplug.

Change status to verified.
Comment 8 releng-rhel@redhat.com 2010-11-11 10:01:56 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.